{
    template:'${tmpl}',
    data:function(){
        return {
          d:{},
          
          name:"",
          mobile:"",
          zipCode:"",
        }
    },
    mounted:function(){
      var that=this;
      console.log(window.location.search);
      var params =window.location.search.substr(1).match(new RegExp("(^|&)" + "params" + "=([^&]*)(&|$)", "i"));
      if(params){
        var data = params[2];
        data = decodeURIComponent(data);
        if(data){
          var d = data.split(";");
          if(d.length==7){
            d[6]=decodeURIComponent(d[6]);
            var o={type:d[0],applyName:d[1],identityCard:d[2],
              tmFormType:d[3],colorizedPicUrl:d[4],
              picUrl:d[5],applyAddr:d[6]};
            this.d=o;
          }
        }
      }
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsName"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.name=d.configValue;
          }
      });
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsMobile"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.mobile=d.configValue;
          }
      });
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsZipcode"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.zipCode=d.configValue;
          }
      });

    },
    methods:{
      repeat(str,n){
  			return new Array(n+1).join(str);
  		},
    },
    vname:"gsb-createwts"
}
